# EFI Clock

EFI application example featuring a binary clock. It uses the [TianoCore](https://www.tianocore.org/)'s [EDK II](https://github.com/tianocore/tianocore.github.io/wiki/EDK-II) development framework.

## Used EDK II features

The following functionalities are used:

 - [GOP (Graphics Output Protocol)](https://wiki.osdev.org/GOP)
 - TimerLib

## Pipeline

[![status-badge](https://ci.slowte.ch/api/badges/9/status.svg)](https://ci.slowte.ch/repos/9)

A Fedora-based building pipeline provides binariess `.efi` files. It clones and build the toolchain from [TianoCore's toolchain repositories](https://github.com/tianocore). Binaries are released for each tag on the [releases page](https://forge.slowte.ch/uefi/efi-clock/releases).